Posted by Yarra
Henagon

[SOLVED] Wine version mismatch

Hi. I use openSuSe 42.2

I download Teamviewer 12, install (zypper install teamviewer%version%.rpm)... and cannot run in. I got error wine version mismatch^

teamviewer 

Init...
CheckCPU: SSE2 support: yes
XRandRWait: No value set. Using default.
XRandRWait: Started by user.
Checking setup...
  
/opt/teamviewer/tv_bin/wine/bin/wineserver: Symbol `wine_casemap_upper' has different size in shared object, consider re-linking
/opt/teamviewer/tv_bin/wine/bin/wineserver: Symbol `wine_casemap_lower' has different size in shared object, consider re-linking
wine client error:0: version mismatch 440/524.
Your wineserver binary was not upgraded correctly,
or you have an older one somewhere in your PATH.
Or maybe the wrong wineserver is still running?

I guess this error arises from the differences between version built-in wine and my system wine (wine-staging 1.9.23), because if I remove system wine teamviewer will work.

But i don't want remove my system wine. And want to use teamviewer. 

How to solve this problem?

 

UPD. It was my mistake. I found error in my .bashrc, after fix it - all ok.